//guipics.h - declaration of the class Guipics
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __guipics_h__
#define __guipics_h__

#include <qapplication.h>
#include <qmap.h>
#include <gnuzdata.h>
#include <gnuzconfig.h>

//----------------------------------------------------------
/*
 * GuiPics
 * 
 * Stores Guipics
 *
 */

class GuiPics
{
 protected:
  QMap<QString, QPixmap *> guipics_;
  GnuzConfig *config_;
  GnuzData *picsdata_;

 public:
  GuiPics(GnuzConfig *config);
  virtual ~GuiPics();

  QPixmap * getPic(QString pic) { return(guipics_[pic]); }
};

#endif // __guipics_h__
