//gnu.h - declaration of the class Gnu
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __levelcanvasview_h__
#define __levelcanvasview_h__

#include <qapplication.h>
#include <qcanvas.h>
#include <gnu.h>

//----------------------------------------------------------
/*
 * LevelCanvasView
 * 
 * Inherits QCanvasView
 *
 */

class LevelCanvasView : public QCanvasView
{
 Q_OBJECT

 signals:
  void GnuTypeChanged();

 protected:
  virtual void contentsMousePressEvent (QMouseEvent * e);

 public:
  LevelCanvasView(QCanvas * canvas, QWidget * parent);
  virtual ~LevelCanvasView();
};

#endif // __levelcanvasview_h__
