//levelloaderitem.cpp - definition of the methods of LevelLoaderItem
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#include <levelloaderitem.h>

//-------------------------------------------------------------
/*
 * constructor of LevelLoaderItem
 *
 * @param listview
 * @QString params
 */

LevelLoaderItem::LevelLoaderItem(QListView * listview, QString param1, QString param2, QString param3, QString param4, QString param5, QString param6, QString param7, QString param8, QString param9, QString param10, QString param11):QListViewItem(listview)
{
  setText(0, param1);
  setText(1, param2);
  setText(2, param3);
  setText(3, param4);
  setText(4, param5);
  setText(5, param6);
  setText(6, param7);
  setText(7, param8);
  setText(8, param9);
  setText(9, param10);
  setText(10, param11);
}

//-------------------------------------------------------------
/*
 * sort list
 *
 * @param column sort by column
 * @param ascending sort order
 * @return 1 if bigger, -1 if smaller
 */

QString LevelLoaderItem::key(int column, bool ascending) const
{
  if (column==2)
    return(difficulty_);

  if (column>3)
    return QString(text(column)).rightJustify(20, '0');
  else
    return QListViewItem::key( column, ascending );
}
