//levelloaderitem.h - declaration of the class LevelLoaderItem
/*
 * Copyright (C) 2003 Lukas Fraser <lukas.fraser@4cows.net>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 */

#ifndef __levelloaderitem_h__
#define __levelloaderitem_h__

#include <qapplication.h>
#include <qlistview.h>

//----------------------------------------------------------
/*
 * LevelLoaderItem
 * 
 * Inherits QListViewItem
 *
 */

class LevelLoaderItem : public QListViewItem
{
 protected:
  QString difficulty_;

 public:
  LevelLoaderItem(QListView * listview, QString param1, QString param2, QString param3, QString param4, QString param5, QString param6, QString param7, QString param8, QString param9, QString param10, QString param11);

  QString key(int column, bool ascending) const;

  void setDifficulty(QString difficulty) { difficulty_=difficulty; }
};

#endif // __levelloaderitem_h__
